# MessageCallbackQuery - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.CallbackQuery / MessageCallbackQuery

# MessageCallbackQuery

(common) `interface MessageCallbackQuery : CallbackQuery` (source)

### Properties

(common)

#### message

`abstract val message: Message`

### Extension Functions

(common)

#### createAnswer

`fun CallbackQuery.createAnswer(text: String? = null, showAlert: Boolean? = null, url: String? = null, cachedTimeSeconds: Int? = null): AnswerCallbackQuery`

### Inheritors

(common)

#### MessageDataCallbackQuery

`data class MessageDataCallbackQuery : DataCallbackQuery, MessageCallbackQuery`

(common)

#### MessageGameShortNameCallbackQuery

`data class MessageGameShortNameCallbackQuery : GameShortNameCallbackQuery, MessageCallbackQuery`